2009-04-20 05:52:55     Is it possible to use BF548 rev 0.1 with uClinux?

Document created by Aaronwu Employee on Aug 15, 2013
Version 1Show Document
  • View in full screen mode

2009-04-20 05:52:55     Is it possible to use BF548 rev 0.1 with uClinux?

Alexey Orlov (RUSSIAN FEDERATION)

Message: 72857   

 

I have a Bluetechnix CM-BF548 board with BF548 revision 0.1

 

After kernel sources update and compiling it I get error message

 

/home/abo/projects/blackfin-sources/uclinux-dist/linux-2.6.x/arch/blackfin/mach-bf548/include/mach/anomaly.h:18:3:

 

error: #error will not work on BF548 silicon version 0.0, or 0.1

 

So, what I must do to continue my project with present hardware?

 

Is it really critical to use only 0.2 revision of BF548?

 

 

QuoteReplyEditDelete

 

 

2009-04-20 07:03:28     Is it possible to use BF548 rev 0.1 with uClinux?

Michael Hennerich (GERMANY)

Message: 72860    >Is it really critical to use only 0.2 revision of BF548?

 

If you don't experience random kernel crashes - you may use your 0.1 board.

Simply comment out the #error.

 

But don't submit bugs - we may not help you.

 

-Michael

 

 

QuoteReplyEditDelete

 

 

2009-04-20 07:59:26     Re: Is it possible to use BF548 rev 0.1 with uClinux?

Robin Getz (UNITED STATES)

Message: 72866   

 

Alexey:

 

Before just commenting out the error - go read the anomaly description that the error talks about. Then decide if you need to upgrade or not.

 

Plus - it is not as easy as "random kernel crashes" - it is random anything. userspace crashes, userspace doesn't crash, but calculates 1+1=3. kernel crashes, kernel doesn't crash, but doesn't do things properly. It could be anything - if you can't trust the external memory - you can't trust anything.

 

That being said - we didn't notice many issues when running on 0.1 - but that doesn't mean that the system you have will not exhibit this problem.

 

-Robin

 

 

QuoteReplyEditDelete

 

 

2009-04-20 08:09:02     Re: Is it possible to use BF548 rev 0.1 with uClinux?

Alexey Orlov (RUSSIAN FEDERATION)

Message: 72870   

 

But what the reason you break support of  0.0 and 0.1 revisions?

 

And what to do whith all boards whith installed chip of 0.1 and 0.0 revisions?

 

I think it is hard quest to get a board whith chip revision greater then 0.1.

QuoteReplyEditDelete

 

 

2009-04-20 10:00:01     Re: Is it possible to use BF548 rev 0.1 with uClinux?

Mike Frysinger (UNITED STATES)

Message: 72880   

 

like Robin said, read the anomaly sheet.  there are anomalies that cannot be worked around involving external memory.

QuoteReplyEditDelete

Attachments

    Outcomes